summaryrefslogtreecommitdiffstats
path: root/tests/ts/uuid
diff options
context:
space:
mode:
authorSami Kerola2015-10-18 19:39:21 +0200
committerSami Kerola2015-10-18 19:39:21 +0200
commit4d3f964e4a5eecdfd17724f03696890bf22d4a3d (patch)
tree0cccccc5184f5c871bb9d39c9f937830e1a70fc8 /tests/ts/uuid
parentscript: be pedantic and use "%"SCNi64 (diff)
downloadkernel-qcow2-util-linux-4d3f964e4a5eecdfd17724f03696890bf22d4a3d.tar.gz
kernel-qcow2-util-linux-4d3f964e4a5eecdfd17724f03696890bf22d4a3d.tar.xz
kernel-qcow2-util-linux-4d3f964e4a5eecdfd17724f03696890bf22d4a3d.zip
tests: add uuid parser check
The check is based on code by Theodore Ts'o to test libuuid, from which unstable output is commented out. Signed-off-by: Sami Kerola <kerolasa@iki.fi>
Diffstat (limited to 'tests/ts/uuid')
-rwxr-xr-xtests/ts/uuid/uuid_parser26
1 files changed, 26 insertions, 0 deletions
diff --git a/tests/ts/uuid/uuid_parser b/tests/ts/uuid/uuid_parser
new file mode 100755
index 000000000..d80d26951
--- /dev/null
+++ b/tests/ts/uuid/uuid_parser
@@ -0,0 +1,26 @@
+#!/bin/bash
+
+# This file is part of util-linux.
+#
+# This file is free software; you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation; either version 2 of the License, or
+# (at your option) any later version.
+#
+# This file is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
+# GNU General Public License for more details.
+
+TS_TOPDIR="${0%/*}/../.."
+TS_DESC="uuid_parser"
+
+. $TS_TOPDIR/functions.sh
+ts_init "$*"
+
+ts_check_test_command "$TS_HELPER_UUID_PARSER"
+
+$TS_HELPER_UUID_PARSER > $TS_OUTPUT 2>&1
+echo "return value: $?" >> $TS_OUTPUT
+
+ts_finalize